When copying an image from a non-English wiki, use the correct File: namespace for the target wiki, not the source wiki
Open, NormalPublic8 Story Points

Description

Steps to reproduce:

  1. Open an image-containing page in VisualEditor on a non-English Wikipedia (e.g., Afrikaans).
  2. Open a page on any Wikipedia that doesn't use that language (e.g., English).
  3. Copy the image from the non-English Wikipedia.
  4. Paste it into the English Wikipedia page.
  5. Everything looks fine here. Save the page.
  6. See the red mess where your image was supposed to be.
  7. Open the wikitext editor and fix the File: namespace.

Example: https://en.wikipedia.org/w/index.php?diff=699995715&oldid=699995287

Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 7:02 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 15 2016, 7:04 PM
SamBrown closed this task as Resolved.Jan 15 2016, 7:19 PM
SamBrown claimed this task.
SamBrown added a subscriber: SamBrown.

The problem you are having means that you will have to move the image to English Wikipedia. You can start by asking on the uploaders talk page. You can have an admin to help ýou.

Krenair reopened this task as Open.Jan 15 2016, 7:21 PM
Krenair removed SamBrown as the assignee of this task.
Krenair added a subscriber: Krenair.

@SamBrown: Hmm. No, I don't think the image needs to be moved. This sounds like it may be a valid software issue.

Elitre added a subscriber: Elitre.Jan 22 2016, 11:38 AM
Jdforrester-WMF triaged this task as Normal priority.Jan 26 2016, 10:20 PM
Jdforrester-WMF edited a custom field.Feb 2 2016, 8:15 PM
Jdforrester-WMF moved this task from To Triage to Backlog on the VisualEditor board.

The problem you are having means that you will have to move the image to English Wikipedia. You can start by asking on the uploaders talk page. You can have an admin to help ýou.

This happens for files hosted on Wikimedia Commons. Very annoying.